List profiling results
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_project_id": "abc123def456",
"_environment_id": "main",
"_branch_machine_name": "main-bvxea6i",
"_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"profiles": [
{
"uuid": "4b5266a2-fd71-468b-bf05-87b342079cbf",
"name": "POST /api/cart",
"created_at": "2026-03-26T14:31:49+0000",
"updated_at": "2026-03-26T14:31:52+0000",
"metadata": {
"Triggered by": "apm",
"Transaction Name": "App\\Controller\\CartController::add",
"Language": "php",
"Frameworks": [
"symfony_framework"
]
},
"data": {
"envelope": {
"wt": 143341,
"cpu": 113242,
"io": 30099,
"pmu": 5990880,
"mu": 6301320,
"nw": 739,
"ct": 1
},
"important_metrics": {
"sql_queries": {
"ct": 5,
"wt": 7004
},
"http_requests": {
"ct": 1,
"wt": 11
}
}
},
"recommendations": 4,
"context": {
"uri": "https://example.com/api/cart",
"method": "POST",
"status_code": 200,
"path": "/api/cart",
"type": "http-request"
},
"status_code": 64,
"status_name": "finished",
"owner": {
"uuid": "4aed4f5d-e0cb-4320-902f-885fddaa7d15",
"name": "John Doe"
},
"agent": {
"uuid": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"name": "Production",
"env_uuid": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"is_env": true
},
"has_timeline": true,
"is_public": false,
"is_readonly": false,
"is_comparison": false,
"caches": {
"opcache": {
"enabled": true,
"hitrate": 0.99,
"items": 5128
}
},
"_links": {
"graph_url": {
"href": "https://blackfire.io/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
"type": "text/html"
},
"api_timeline": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/timeline",
"type": "application/json"
},
"api_subprofiles": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/subprofiles",
"type": "application/json"
},
"api_profile": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/profile",
"type": "application/json"
},
"api_graph": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
"type": "application/json"
}
}
}
],
"page": 1,
"pages": 3,
"total": 25
}{
"type": "https://tools.ietf.org/html/rfc2616#section-1",
"title": "Please ensure parameters are correct.",
"status": 400,
"violations": {
"grain": [
"Grain can not be larger than the selection windows."
],
"from": [
"The from timestamp must be in the past."
],
"to": [
"The to timestamp must be greater than the from timestamp."
]
}
}Blackfire Profiling
List profiling results
Returns a paginated list of profiles for the environment, optionally filtered by transaction name. Proxied from the Blackfire API.
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
observability
/
profiles
List profiling results
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_project_id": "abc123def456",
"_environment_id": "main",
"_branch_machine_name": "main-bvxea6i",
"_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"profiles": [
{
"uuid": "4b5266a2-fd71-468b-bf05-87b342079cbf",
"name": "POST /api/cart",
"created_at": "2026-03-26T14:31:49+0000",
"updated_at": "2026-03-26T14:31:52+0000",
"metadata": {
"Triggered by": "apm",
"Transaction Name": "App\\Controller\\CartController::add",
"Language": "php",
"Frameworks": [
"symfony_framework"
]
},
"data": {
"envelope": {
"wt": 143341,
"cpu": 113242,
"io": 30099,
"pmu": 5990880,
"mu": 6301320,
"nw": 739,
"ct": 1
},
"important_metrics": {
"sql_queries": {
"ct": 5,
"wt": 7004
},
"http_requests": {
"ct": 1,
"wt": 11
}
}
},
"recommendations": 4,
"context": {
"uri": "https://example.com/api/cart",
"method": "POST",
"status_code": 200,
"path": "/api/cart",
"type": "http-request"
},
"status_code": 64,
"status_name": "finished",
"owner": {
"uuid": "4aed4f5d-e0cb-4320-902f-885fddaa7d15",
"name": "John Doe"
},
"agent": {
"uuid": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"name": "Production",
"env_uuid": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"is_env": true
},
"has_timeline": true,
"is_public": false,
"is_readonly": false,
"is_comparison": false,
"caches": {
"opcache": {
"enabled": true,
"hitrate": 0.99,
"items": 5128
}
},
"_links": {
"graph_url": {
"href": "https://blackfire.io/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
"type": "text/html"
},
"api_timeline": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/timeline",
"type": "application/json"
},
"api_subprofiles": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/subprofiles",
"type": "application/json"
},
"api_profile": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/profile",
"type": "application/json"
},
"api_graph": {
"href": "https://api.upsun.com/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
"type": "application/json"
}
}
}
],
"page": 1,
"pages": 3,
"total": 25
}{
"type": "https://tools.ietf.org/html/rfc2616#section-1",
"title": "Please ensure parameters are correct.",
"status": 400,
"violations": {
"grain": [
"Grain can not be larger than the selection windows."
],
"from": [
"The from timestamp must be in the past."
],
"to": [
"The to timestamp must be greater than the from timestamp."
]
}
}Authorizations
Path Parameters
Query Parameters
Response
Profiles retrieved successfully
Was this page helpful?